iOS Question error when compiling in mac builder

jose luis gudino

Active Member
Licensed User
Hi everyone;
I'm trying to compile an application on my mac, but I get that message (just take the part where it says error, since the text is very long) the strange thing is that I compiled another application and compiled correctly without problems
I attached the sent message
thanks in advance

B4X:
Build settings from command line:
    ARCHS = x86_64
    CODE_SIGNING_REQUIRED = NO
    CONFIGURATION_BUILD_DIR = /Users/josegudino/Documents/B4iBuildServer06/UploadedProjects/<user id>/Payload
    PRODUCT_NAME = Resuelve
    SDKROOT = iphonesimulator14.1

note: Using new build system
note: Planning build
note: Constructing build description

Error: 2021-09-04 17:43:07.141 xcodebuild[15178:288552]  iPhoneConnect: 📱<DVTiOSDevice (0x7fc1b7960690), iPhone 6 jose luis, iPhone, 14.4.1 (18D61), 728ae7c609cca41099e0df2b077eaeff0eeb5b7b> unable to mount developer disk image, (Error Domain=com.apple.dtdevicekit Code=601 "The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1." UserInfo={NSLocalizedDescription=The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1., NSLocalizedRecoverySuggestion=To run on this device, please update to a version of Xcode that supports iOS 14.4.1. You can download Xcode from the Mac App Store or the Apple Developer website., DVTRadarComponentKey=487927, DeviceType=iPhone8,2, NSUnderlyingError=0x7fc1b7f848d0 {Error Domain=com.apple.dt.DVTDeviceSupportFilesError Code=2 "Unable to locate ideal DDI for platform: <DVTPlatform:0x7fc1b4e3c300:'com.apple.platform.iphoneos':<DVTFilePath:0x7fc1b4e3c150:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61" UserInfo={NSLocalizedDescription=Unable to locate ideal DDI for platform: <DVTPlatform:0x7fc1b4e3c300:'com.apple.platform.iphoneos':<DVTFilePath:0x7fc1b4e3c150:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61, DVTRadarComponentKey=487927}}}) {
    DVTRadarComponentKey = 487927;
    DeviceType = "iPhone8,2";
    NSLocalizedDescription = "The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1.";
    NSLocalizedRecoverySuggestion = "To run on this device, please update to a version of Xcode that supports iOS 14.4.1. You can download Xcode from the Mac App Store or the Apple Developer website.";
    NSUnderlyingError = "Error Domain=com.apple.dt.DVTDeviceSupportFilesError Code=2 \"Unable to locate ideal DDI for platform: <DVTPlatform:0x7fc1b4e3c300:'com.apple.platform.iphoneos':<DVTFilePath:0x7fc1b4e3c150:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61\" UserInfo={NSLocalizedDescription=Unable to locate ideal DDI for platform: <DVTPlatform:0x7fc1b4e3c300:'com.apple.platform.iphoneos':<DVTFilePath:0x7fc1b4e3c150:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61, DVTRadarComponentKey=487927}";
}
 

jose luis gudino

Active Member
Licensed User
Hi there.
Try running a simulator with an iPhone X 11.4 operating system.
but it didn't work, the following message appeared


B4X:
Error: 2021-09-06 20:18:52.177 xcodebuild[23228:439824]  iPhoneConnect: 📱<DVTiOSDevice (0x7fccf5a97780), iPhone 6 jose luis, iPhone, 14.4.1 (18D61), 728ae7c609cca41099e0df2b077eaeff0eeb5b7b> unable to mount developer disk image, (Error Domain=com.apple.dtdevicekit Code=601 "The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1." UserInfo={NSLocalizedDescription=The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1., NSLocalizedRecoverySuggestion=To run on this device, please update to a version of Xcode that supports iOS 14.4.1. You can download Xcode from the Mac App Store or the Apple Developer website., DVTRadarComponentKey=487927, DeviceType=iPhone8,2, NSUnderlyingError=0x7fccf6197bd0 {Error Domain=com.apple.dt.DVTDeviceSupportFilesError Code=2 "Unable to locate ideal DDI for platform: <DVTPlatform:0x7fccf2e23b80:'com.apple.platform.iphoneos':<DVTFilePath:0x7fccf2e23a00:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61" UserInfo={NSLocalizedDescription=Unable to locate ideal DDI for platform: <DVTPlatform:0x7fccf2e23b80:'com.apple.platform.iphoneos':<DVTFilePath:0x7fccf2e23a00:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61, DVTRadarComponentKey=487927}}}) {
    DVTRadarComponentKey = 487927;
    DeviceType = "iPhone8,2";
    NSLocalizedDescription = "The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1.";
    NSLocalizedRecoverySuggestion = "To run on this device, please update to a version of Xcode that supports iOS 14.4.1. You can download Xcode from the Mac App Store or the Apple Developer website.";
    NSUnderlyingError = "Error Domain=com.apple.dt.DVTDeviceSupportFilesError Code=2 \"Unable to locate ideal DDI for platform: <DVTPlatform:0x7fccf2e23b80:'com.apple.platform.iphoneos':<DVTFilePath:0x7fccf2e23a00:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61\" UserInfo={NSLocalizedDescription=Unable to locate ideal DDI for platform: <DVTPlatform:0x7fccf2e23b80:'com.apple.platform.iphoneos':<DVTFilePath:0x7fccf2e23a00:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61, DVTRadarComponentKey=487927}";
}
2021-09-06 20:18:52.178 xcodebuild[23228:439224] [MT] iPhoneConnect: 📱<DVTiOSDevice (0x7fccf5a97780), iPhone 6 jose luis, iPhone, 14.4.1 (18D61), 728ae7c609cca41099e0df2b077eaeff0eeb5b7b> -- An error occurred whilst preparing device for development -- The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1.
Domain: com.apple.dtdevicekit
Code: 601
Recovery Suggestion: To run on this device, please update to a version of Xcode that supports iOS 14.4.1. You can download Xcode from the Mac App Store or the Apple Developer website.
User Info: {
    DVTRadarComponentKey = 487927;
    DeviceType = "iPhone8,2";
}
 
Upvote 0

jose luis gudino

Active Member
Licensed User
Create a new project, set the package name based on your provision profile and compile it. Does it work?

Which version of Xcode are you using?
1) I have created a new project and ran it in a simulator with ios 11.4 and iPhone 11.4
The following message appears: Sending data to remote compiler. Error
2) I have created a new project and ran it in a simulator with ios 14.1 and iPhone 12 pro max
it worked!!!
3) I run the previous project, the error continues

i am using xcode 12.1

B4X:
Error: 2021-09-08 10:02:27.655 xcodebuild[4015:77113]  iPhoneConnect: 📱<DVTiOSDevice (0x7f8cee404080), iPhone 6 jose luis, iPhone, 14.4.1
 (18D61), 728ae7c609cca41099e0df2b077eaeff0eeb5b7b> unable to mount developer disk image, (Error Domain=com.apple.dtdevicekit Code=601 "The current
 device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode 12.1." UserInfo=
{NSLocalizedDescription=The current device configuration is unsupported. This iPhone 6s Plus is running iOS 14.4.1 (18D61), which is not supported by Xcode
 12.1., NSLocalizedRecoverySuggestion=To run on this device, please update to a version of Xcode that supports iOS 14.4.1. You can download Xcode from the
 Mac App Store or the Apple Developer website., DVTRadarComponentKey=487927, DeviceType=iPhone8,2, NSUnderlyingError=0x7f8cee7cf3a0 {Error
 Domain=com.apple.dt.DVTDeviceSupportFilesError Code=2 "Unable to locate ideal DDI for platform:
 <DVTPlatform:0x7f8ceb516080:'com.apple.platform.iphoneos':
<DVTFilePath:0x7f8ceb515ea0:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61" UserInfo=
{NSLocalizedDescription=Unable to locate ideal DDI for platform: <DVTPlatform:0x7f8ceb516080:'com.apple.platform.iphoneos':
<DVTFilePath:0x7f8ceb515ea0:'/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform'>>, version: 14.4.1, build: 18D61,
 DVTRadarComponentKey=487927}}})
 
Upvote 0

jose luis gudino

Active Member
Licensed User
hi, thanks for your prompt reply.
I have already made the update to Xcode 12.4
and I have tried to compile the same project:
the message it presents to me is:
I show only a part of message that sends if you require the complete file let me know.
Cheers

B4X:
Error: ** BUILD FAILED **


The following build commands failed:
    Ld /Users/josegudino/Documents/B4iBuildServer06/UploadedProjects/<user id>/Payload/Resuelve.app/Resuelve normal
(1 failure)
 
Last edited:
Upvote 0

jose luis gudino

Active Member
Licensed User
Hi .
I summarize:

(1) Test 01
.mac builder
.simulator
See attached file
BUILD_FAILED.txt

(2) Test 02
.mac builder
.My Iphone (B4I-brige)
See attached file
BUILD_FAILED_01.txt
 

Attachments

  • BUILD_FAILED.txt
    461.9 KB · Views: 23
  • BUILD_FAILED_01.txt
    444.9 KB · Views: 21
Upvote 0

jose luis gudino

Active Member
Licensed User
Yes, the complete logs are required. Best to upload as a text file.
I have detected that the problem is in the library: FirebaseNotifications
When you stop referring to this library, the app compiles without any problem.
I copied the file from
www.b4x.com/b4i/files/Firebase_02_2021.zip
and put this zip in the Libs folder
But the problem continues.
again disable the library and the application compiles without problems

error01.PNG


error_02.PNG


Thanks for the support
 

Attachments

  • BUILD_FAILED_02.txt
    484.3 KB · Views: 21
Upvote 0

jose luis gudino

Active Member
Licensed User
I have created a new project referencing Firebase Notifications + Firebase Analytics and it does not compile, I remove the reference and it works perfect

NOTE: yes, it is actually another error, because in the previous one I was using the simulator, now I only use local builder and run on my phone
This is a different error than the one posted before. It looks like a process timeout.

Create a new project and add a reference to iFirebaseNotifications + iFirebaseAnalytics.
Does it compile?
 
Last edited:
Upvote 0
Top